//---------------------------------------------------------------------------
#ifndef Engine_StatusH
#define Engine_StatusH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "_GClass.hpp"
#include "AbCBitBt.hpp"
#include "AbLED.hpp"
#include "AbNumEdit.hpp"
#include "HideButton.h"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TEngineStatus : public TForm
{
__published:	// IDE-managed Components
	TImage *Copyright;
	THideButton *HideButton;
	TAbColBitBtn *ESTOP;
	TLabel *Engine_Status_Label;
	TPanel *EngStatusPanel;
	TLabel *Label2;
	TLabel *Label5;
	TLabel *Label6;
	TAbLED *LED;
	TLabel *QueryLabel;
	TAbNumSpin *UpdateRateSpin;
	TEdit *Speed;
	TButton *StopButton;
	TButton *StartButton;
	TCheckBox *SpeedUpdate;
	TGroupBox *EngineStatusGroupBox;
	TAbLED *AbLED24_7;
	TAbLED *AbLED24_6;
	TAbLED *AbLED25_7;
	TAbLED *AbLED24_5;
	TAbLED *AbLED25_6;
	TAbLED *AbLED24_4;
	TAbLED *AbLED25_5;
	TAbLED *AbLED24_3;
	TAbLED *AbLED25_4;
	TAbLED *AbLED24_2;
	TAbLED *AbLED25_3;
	TAbLED *AbLED24_1;
	TAbLED *AbLED25_2;
	TAbLED *AbLED24_0;
	TAbLED *AbLED25_1;
	TAbLED *AbLED25_0;
	TCheckBox *StatusUpdate;
	TAbLED *DirLED;
	TLabel *Label1;
	TEdit *DTO;
	TCheckBox *DTOUpdate;
	TLabel *Label33;
	TLabel *InstantSpeedLabel;
	TEdit *InstantSpeed;
	TCheckBox *InstantSpeedUpdate;
	TLabel *InstantUnitLabel;
	TLabel *Label3;
	void __fastcall HideButtonClick(TObject *Sender);
	void __fastcall ESTOPClick(TObject *Sender);
	void __fastcall StartButtonClick(TObject *Sender);
	void __fastcall StopButtonClick(TObject *Sender);
	void __fastcall Engine_Status_LabelClick(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall FormDeactivate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall CopyrightClick(TObject *Sender);
private:	// User declarations
	__fastcall TEngineStatus(TComponent* Owner);
    int RemoteNo, EngineNo, TIUNo;
    String EngineName;
   	HWND ParentHandle;
    String RegFileRootKey;
    bool LocalTransparencyOverride;

public:		// User declarations
	__fastcall TEngineStatus(TComponent* Owner, HWND Parent, int Remote, int Engine, int TIU, String EngName);
	__fastcall ~TEngineStatus(void);
    TEngineStatusThread * ptrEngineStatusThread	;	// pointer to thread
};
//---------------------------------------------------------------------------
extern PACKAGE TEngineStatus *EngineStatus;
//---------------------------------------------------------------------------
#endif
