-- Remote Train Control Configuration File

-- Title that is placed above the Engine List
Engine_List_Title = "-----  P&LE Engine List  -----"

-- Title that is placed above the Route/Scene List
Route_Scene_List_Title = "Mark's Route/Scene List"

-- Working Directory
--Working_Directory = "."

-- Connect and Disconnect Messages
--ConnectMsg = "Press the [Connect] button before performing this operation"
ConnectMsg = "[Connect] to the TIU before proceeding"
--DisconnectMsg = "Press the [Disconnect] button before performing this operation"
DisconnectMsg = "[Disconnect] from the TIU before proceeding"

-- Enable debugging screens
Debugging = false	-- true = Debug window opened when RTC starts
DBLevel = 0			-- Debug level 0 to 10 (Higher number means more debug output)

-- Remote, Engine and TIU selections
--TIU = 3
--Remote = 15
--Engine = 2

---------------------------------------------------------
-- Setup Configuration

--PortNum = 1					-- Radio Comm Port
--RFIDNum = 2					-- RFID Comm Port
--MaxSpeed = 120				-- Maximum speed for the speed slider
MaxSpeed = 60					-- Maximum speed for the speed slider		
--Quick_Ctrl_Scaling = 1		-- Quick Ctrl Scaling
--TransparentSpin = 100			-- Transparency
--MPHScaling = 1				-- Speed Scaling (1/x)
--NumRetries = 2				-- Number of Retries

--AutoConnect = false 			-- Auto Connect to Comm Ports - true or false
--RFID_COM_Mode = false			-- RFID Serial - true or false
--RFID_WiFi_Mode = false		-- RFID WiFi - true or false
--Radio_COM_Mode = true			-- Radio Serial - true or false
--Radio_WiFi_Mode = false		-- Radio WiFi - true or false

--TIULog = false				-- Enable the TIU Buffer Logging
--RFIDLog = false				-- Enable the RFID Buffer Logging
--AutoCoupler = false			-- Auto Coupler Slack Sound
--AutoBell = true				-- Auto Bell Sounds
--AutoWhistle = true			-- Auto Whistle Sounds
--ShortBellWhistleSequence = false		--	Short Bell/Whistle Sequence
--ExtendedSUSD = false			-- Extended Startup and Shutdown Sounds
--StandardAccDec = true			-- Use Acc/Dec = 1
--AutoConnect = false			-- Auto Connect to the TIU
--DisableEmergencyStopButton = false	-- Disable Emergency Stop
--AutoHotButtons = false		-- Auto Hot Buttons
--AutoQuickControls = false		-- Auto Quick Controls
--AutoSoundCtrls = false		-- Auto Sound Ctrls
--SmokeOFFatStartup = false		-- Start Engines with Smoke/Exhaust Off
--EncodedRecordFormat = false	-- Encoded Record Format
--RepeatPlayback = false		-- Repeat Playback
--Safety_Mode = true			-- enables safety switch mode - switch throws are performed twice, ie Normal-Reverse-Normal
--GeneralSounds = false			-- Allow RTC to generate sound effects 
--Radio_WiFi_Multicast			-- enabled Multicast for WiFi - use with care

--Show_Pause_Button = true		-- Show Pause Button on Program Control window (use with care)
Comm_Not_Required = false		-- enables some windows even without communications (use with care)

SwitchStraight = "Normal"		-- word used for Switch when in the straight position
SwitchDiverge = "Reverse"		-- word used for Switch when in the diverge position

--RadioIP = 0.0.0.0				-- IP of the Modem WiFi/AIU Radios (Unicast or Multicast)
--RadioPort = 8890				-- Port of the Modem WiFi/AIU Radios

