//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "BlockName_Query.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "_GClass"
#pragma link "AbLED"
#pragma resource "*.dfm"
TBlockNameQuery *BlockNameQuery;
//---------------------------------------------------------------------------
__fastcall TBlockNameQuery::TBlockNameQuery(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TBlockNameQuery::PosRightClick(TObject *Sender)
{
Ordinal = 1;
PosTop->Font->Color = clRed;
PosRight->Font->Color = clGreen;
PosBottom->Font->Color = clRed;
PosLeft->Font->Color = clRed;
DisplayFlagName->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TBlockNameQuery::PosBottomClick(TObject *Sender)
{
Ordinal = 2;
PosTop->Font->Color = clRed;
PosRight->Font->Color = clRed;
PosBottom->Font->Color = clGreen;
PosLeft->Font->Color = clRed;
DisplayFlagName->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TBlockNameQuery::PosLeftClick(TObject *Sender)
{
Ordinal = 3;
PosTop->Font->Color = clRed;
PosRight->Font->Color = clRed;
PosBottom->Font->Color = clRed;
PosLeft->Font->Color = clGreen;
DisplayFlagName->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TBlockNameQuery::PosTopClick(TObject *Sender)
{
Ordinal = 4;
PosTop->Font->Color = clGreen;
PosRight->Font->Color = clRed;
PosBottom->Font->Color = clRed;
PosLeft->Font->Color = clRed;
DisplayFlagName->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TBlockNameQuery::SetOrdinal(int Ord)
{
DisplayFlagName->Checked = true;
switch(Ord) {
	case 0:
    default:
		DisplayFlagName->Checked = false;
        Ordinal = 0;	// don't display the Block Name
    	break;
	case 1:
		PosRightClick(NULL);
    	break;
    case 2:
        PosBottomClick(NULL);
    	break;
    case 3:
        PosLeftClick(NULL);
    	break;
    case 4:
        PosTopClick(NULL);
    	break;
	}
}
//---------------------------------------------------------------------------

void __fastcall TBlockNameQuery::DisplayFlagNameClick(TObject *Sender)
{
if (DisplayFlagName->Checked) {
	PosRightClick(NULL);
	} else {
	PosTop->Font->Color = clRed;
	PosRight->Font->Color = clRed;
	PosBottom->Font->Color = clRed;
	PosLeft->Font->Color = clRed;
	Ordinal = 0;	// don't display the Block Name
	}
}
//---------------------------------------------------------------------------

