//---------------------------------------------------------------------------
/*
Remote Train Control Program for Windows

 Copyright 2015 by Mark DiVecchio

    This file is part of Remote Train Control.

    Remote Train Control is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Remote Train Control is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Remote Train Control.  If not, see <http://www.gnu.org/licenses/>.

*/
//---------------------------------------------------------------------------
#ifndef Delay_Win_MsgH
#define Delay_Win_MsgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------

class TDelay_Windows_Message_Thread : public TThread
{
private:
	// local storage for passed parameters
	int My_Msg_Delay;
    UINT My_Msg;
    WPARAM My_wparam;
    LPARAM My_lparam;
    HWND My_DestWindow;
    TForm * My_Callingthis;

   	__fastcall TDelay_Windows_Message_Thread(bool CreateSuspended);
    
protected:
	void __fastcall Execute();

public:

    __fastcall TDelay_Windows_Message_Thread(bool CreateSuspended, TForm * Callingthis, HWND Parent,
		int Msg_Delay, UINT Msg, WPARAM Char1, LPARAM pBuffer);
};
//---------------------------------------------------------------------------
#endif
