//---------------------------------------------------------------------------
#ifndef Engine_InfoH
#define Engine_InfoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "_GClass.hpp"
#include "AbCBitBt.hpp"
#include "HideButton.h"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "AbNumEdit.hpp"
#include "AbLED.hpp"
//---------------------------------------------------------------------------
class TEngineInfo : public TForm
{
__published:	// IDE-managed Components
	TLabel *Engine_Information_Label;
	THideButton *HideButton;
	TImage *Copyright;
	TAbColBitBtn *ESTOP;
	TPanel *EngInfoPanel;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TAbNumSpin *UpdateRateSpin;
	TLabel *Label6;
	TEdit *DOD;
	TEdit *DTV;
	TEdit *DTO;
	TEdit *DCH;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TButton *StopButton;
	TButton *StartButton;
	TAbLED *LED;
	TLabel *QueryLabel;
	TCheckBox *DODUpdate;
	TCheckBox *DTOUpdate;
	TCheckBox *DTVUpdate;
	TCheckBox *DCHUpdate;
	void __fastcall HideButtonClick(TObject *Sender);
	void __fastcall StartButtonClick(TObject *Sender);
	void __fastcall StopButtonClick(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall FormDeactivate(TObject *Sender);
	void __fastcall Engine_Information_LabelClick(TObject *Sender);
	void __fastcall ESTOPClick(TObject *Sender);
	void __fastcall CopyrightClick(TObject *Sender);

private:	// User declarations
    int RemoteNo, EngineNo, TIUNo;
    String EngineName;
   	HWND ParentHandle;
    String RegFileRootKey;
   	__fastcall TEngineInfo(TComponent* Owner);
    bool LocalTransparencyOverride;

public:		// User declarations
    __fastcall TEngineInfo(TComponent* Owner, HWND Parent, int Remote, int Engine, int TIU, String EngName);
	__fastcall ~TEngineInfo(void);
    TEngineInfoThread * ptrEngineInfoThread	;	// pointer to thread
};
//---------------------------------------------------------------------------
extern PACKAGE TEngineInfo *EngineInfo;
//---------------------------------------------------------------------------
#endif
