//---------------------------------------------------------------------------
/*
Remote Train Control Program for Windows

(c) Copyright 2015 by Mark DiVecchio

    This file is part of Remote Train Control.

    Remote Train Control is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Remote Train Control is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Remote Train Control.  If not, see <http://www.gnu.org/licenses/>.

*/
//---------------------------------------------------------------------------
#ifndef Num_QueryH
#define Num_QueryH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "AbNumEdit.hpp"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TNumberQuery : public TForm
{
__published:	// IDE-managed Components
	TAbNumSpin *NumberSpin;
	TLabel *Question;
	TLabel *SpinLabel;
	TButton *OKButton;
	TButton *CancelButton;
	TImage *Copyright;
private:	// User declarations
public:		// User declarations
	__fastcall TNumberQuery(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TNumberQuery *NumberQuery;
//---------------------------------------------------------------------------
#endif
