//---------------------------------------------------------------------------
/*
Remote Train Control Program for Windows

 Copyright 2019 by Mark DiVecchio

    This file is part of Remote Train Control.

    Remote Train Control is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Remote Train Control is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Remote Train Control.  If not, see <http://www.gnu.org/licenses/>.

*/
// Home Page : http://www.silogic.com/trains/RTC_Running.html
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
#include <vcl.h>
#include <tchar.h>
#pragma hdrstop

#include "RTC_Info.h"
#include "Train_Control.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "HideButton"
#pragma resource "*.dfm"
TSplash *Splash;
//---------------------------------------------------------------------------
__fastcall TSplash::TSplash(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TSplash::AboutRTCTimerTimer(TObject *Sender)
{
Close();
}
//---------------------------------------------------------------------------
void __fastcall TSplash::CreateParams(TCreateParams &Params)
{
TForm::CreateParams(Params);	// call base class first
Params.Style &= ~WS_CAPTION;	// then remove the caption
}
//---------------------------------------------------------------------------

void __fastcall TSplash::HideButtonClick(TObject *Sender)
{
MainForm->iSS = 0;					// Turn off future Splash Window
MainForm->AboutRTC->Checked = true;
Hide();	
}
//---------------------------------------------------------------------------



