//---------------------------------------------------------------------------
/*
Remote Train Control Program for Windows

 Copyright 2015 by Mark DiVecchio

    This file is part of Remote Train Control.

    Remote Train Control is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Remote Train Control is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Remote Train Control.  If not, see <http://www.gnu.org/licenses/>.

*/
//---------------------------------------------------------------------------
#ifndef Route_Scene_HelpH
#define Route_Scene_HelpH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "HideButton.h"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TRTCRSHelp : public TForm
{
__published:	// IDE-managed Components
	THideButton *RSHideButton;
	TMemo *RSHelpInfo;
	TImage *Copyright;
	void __fastcall RSHideButtonClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TRTCRSHelp(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TRTCRSHelp *RTCRSHelp;
//---------------------------------------------------------------------------
#endif
